using System;
using System.Collections.Generic;
using System.Net.Http;
using Ninject;

namespace TourDataManager {
    public class Authenticator : IAuthenticator {
        private readonly Uri authUri = new Uri("https://biganto.com/users/login/?client=desktopplayer&client_version=3.0&v=2.0");

        [Inject] public HttpClient HttpClient{ get; set; }

        public async void Login(string email, string password, Action<bool, string> continuation = null){
            var x = await HttpClient.PostAsync(authUri,
                new FormUrlEncodedContent(new[]{
                    new KeyValuePair<string, string>("email", email), 
                    new KeyValuePair<string, string>("password", password)
                }));
            var content = await x.Content.ReadAsStringAsync();
            
            continuation?.Invoke(x.IsSuccessStatusCode,content);
        }

        public void Logout(){
            
        }
    }
}